"""combine parameter files into single file"""
from gslcomp.config import ConfigParser
import xarray as xr


def main(conf):
    """combine parameter files"""
    parameters_all_stations = xr.open_mfdataset(
        (conf.output_dir / "parameters").glob("*.nc"),
        combine="nested",
        concat_dim="file_name",
        parallel=True,
    )
    parameters_all_stations.to_netcdf(
        conf.output_dir / "parameters_all_stations.nc", format="NETCDF4_CLASSIC"
    )


if __name__ == "__main__":
    parsed_conf = ConfigParser().parse()
    main(conf=parsed_conf)
