#!/bin/bash

##SBATCH --qos=priority
##SBATCH --partition=priority
##SBATCH --partition=largemem
##SBATCH --partition=standard
##SBATCH --qos=short
##SBATCH --constraint=broadwell
#SBATCH --partition=gpu
#SBATCH --qos=gpushort
#SBATCH --job-name=GSLcomp_21_create_val_ds_extremes
#SBATCH --account=isimip
#SBATCH --output=/p/projects/isimip/isimip/sitreu/slogs/gslcomp/%x_%j.log 
#SBATCH --error=/p/projects/isimip/isimip/sitreu/slogs/gslcomp/%x_%j.log 
#SBATCH --mail-type=BEGIN,FAIL
#SBATCH --mail-user=sitreu@pik-potsdam.de
#SBATCH --ntasks=1
##SBATCH --cpus-per-task=32
##SBATCH --cpus-per-task=16
##SBATCH --cpus-per-task=6
#SBATCH --mem=90000
##SBATCH --time=00-23:50:00

cd ..

#module purge
#module load netcdf-c/4.6.2/intel/parallel
#module load anaconda/2021.11

source activate /p/projects/isimip/isimip/sitreu/conda/gslcomp

#ssh -R8787:localhost:8787 $SLURM_SUBMIT_HOST -N -f


python -u ./gslcomp/postprocessing/create_validation_dataset_extremes.py @output/GSLcomp_21/args.txt

